--- libextractor.spec	2008-09-04 10:54:29.000000000 +0000
+++ libextractor.spec	2009-01-26 08:44:26.000000000 +0000
@@ -1,16 +1,49 @@
 # spec file for package libextractor
+#
+# ...Modified spec file for package filesharing/libextractor (Version 0.5.21)
+#
+# United Repository version (C) 2008 United Networks
+# This file and all modifications and additions to the pristine
+# package are under the same license as the package itself.
+#
+# Provided that the original package and any preceding licenses
+# are honored you may modify/distribute this package as needed.
+# Report any problems/issues via http://networks.org/?feed=feedback
+#
 # norootforbuild
 
 Name:           libextractor
-BuildRequires:  ImageMagick gcc-c++ glib-devel gtk2 gtk2-devel libgsf libgsf-devel libvorbis-devel pkgconfig python-devel vorbis-tools
+BuildRequires:  gcc43-c++ gcc43-obj-c++ libstdc++43-devel gcc-c++ gcc-obj-c++ libstdc++-devel glib glib-devel gtk2 gtk2-devel gdk-pixbuf gdk-pixbuf-devel
+BuildRequires:  libgsf libgsf-devel libvorbis-devel pkgconfig python-devel vorbis-tools libtool libltdl7 libltdl3 glibc-devel glibc exiv2 libexiv2-devel
+BuildRequires:  ncurses-devel e2fsprogs zlib-devel pkg-config flac-devel libqt4 libqt4-devel libgsf-devel ImageMagick libMagick++-devel cpp43 cpp
+BuildRequires:  libbz2-devel glib2 glib2-devel libzio-devel libwavpack1 wavpack-devel libxine-devel libmpcdec-devel libdvbpsi-devel libdvbpsi5
+BuildRequires:  libid3tag-devel gettext-runtime gettext-tools rpm rpm-devel rpm-python
+#BuildRequires: fakeroot  
+#BuildRequires: dpkg-devel  
+# buildrequires zlib1g-dev  
+# buildrequires pkg-config  
+# buildrequires libflac-dev  
+# buildrequires libmpeg2-4-dev  
+#BuildRequires: libmpeg2-4-dev  
+# buildrequires debhelper  
+#BuildRequires: debian-debhelper  
+# buildrequires libltdl3-dev  
+# buildrequires libqt4-dev  
+# buildrequires libgsf-1-dev  
+# buildrequires libmagick++9-dev  
+# buildrequires autotools-dev  
+#BuildRequires: autotools-dev  
+# buildrequires libvorbis-dev  
+# buildrequires libbz2-dev  
+# buildrequires libgtk2.0-dev  
+# buildrequires libglib2.0-dev  
 License:        GNU General Public License (GPL)
 Group:          Productivity/Other
 Autoreqprov:    on
-PreReq:         %install_info_prereq
-Version:        0.5.20c
-Release:        31
+Version:        0.5.21
+Release:        1
 Summary:        Library to Extract Metadata from Files
-Source:         http://gnunet.org/libextractor/download/%{name}-%{version}.tar.gz
+Source:         %{name}-%{version}.tar.gz
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
 URL:            http://www.gnu.org/software/libextractor/
 
@@ -42,8 +75,15 @@
 %define INSTALL_DATA install -m644
 %package    devel
 Summary:        Include Files and Libraries mandatory for Development
-Group:          Development/Libraries/Other
+Group:          Productivity/Other
 Requires:       %{name} = %{version}
+Requires:       libtool
+Requires:       gcc43-c++ gcc43-obj-c++ libstdc++43-devel gcc-c++ gcc-obj-c++ libstdc++-devel glib glib-devel gtk2 gtk2-devel gdk-pixbuf gdk-pixbuf-devel
+Requires:       libgsf libgsf-devel libvorbis-devel pkgconfig python-devel vorbis-tools libtool libltdl7 libltdl3 glibc-devel glibc exiv2 libexiv2-devel
+Requires:       ncurses-devel e2fsprogs zlib-devel pkg-config flac-devel libqt4 libqt4-devel libgsf-devel ImageMagick libMagick++-devel
+Requires:       libbz2-devel glib2 glib2-devel libzio-devel libwavpack1 wavpack-devel libxine-devel libmpcdec-devel libdvbpsi-devel libdvbpsi5
+Requires:       libid3tag-devel gettext-runtime gettext-tools rpm rpm-devel rpm-python
+#Requires:       libmpeg2-4-dev
 Autoreqprov:    on
 
 %description devel
@@ -61,25 +101,33 @@
 autoreconf
 
 %build
-export CFLAGS="$RPM_OPT_FLAGS"
-export CXXFLAGS="$RPM_OPT_FLAGS"
-./configure --prefix=%{_prefix} \
-	    --libdir=%{_prefix}/%_lib \
-            --mandir=%{_mandir} \
-            --enable-xpdf \
-            --enable-exiv2
-make
+CFLAGS="$RPM_OPT_FLAGS" CONFIG_SHELL=/bin/bash \
+/bin/bash ./configure CONFIG_SHELL=/bin/bash --prefix=%{_prefix} --libdir=%{_prefix}/%_lib --mandir=%{_mandir} --enable-xpdf --enable-exiv2
+%__make
+##export CFLAGS="$RPM_OPT_FLAGS"
+##export CXXFLAGS="$RPM_OPT_FLAGS"
+#CFLAGS="$RPM_OPT_FLAGS" \
+#./configure --prefix=%{_prefix} \
+#	    --libdir=%{_prefix}/%_lib \
+#            --mandir=%{_mandir} \
+#            --enable-xpdf \
+#            --enable-exiv2
+## export LIBRARY_PATH=$RPM_BUILD_ROOT/usr/lib:$LIBRARY_PATH
+#make
+## requires the installed package
+## make check
 
 %install
-make install DESTDIR=$RPM_BUILD_ROOT
+%__make DESTDIR=$RPM_BUILD_ROOT install
+/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}
+#make install DESTDIR=$RPM_BUILD_ROOT
+#/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}
+
+%post -p /sbin/ldconfig
+#%post -n %{name}
+#%run_ldconfig
 
-%post
-/sbin/ldconfig
-%install_info --info-dir=%{_infodir} %{_infodir}/extractor.info.gz
-
-%postun
-/sbin/ldconfig
-%install_info_delete --info-dir=%{_infodir} %{_infodir}/extractor.info.gz
+%postun -p /sbin/ldconfig
 
 %clean
 rm -rf $RPM_BUILD_ROOT
@@ -91,9 +139,8 @@
 %doc %{_mandir}/man1/*
 %{_bindir}/*
 %{_libdir}/lib*.so.*
-%if 0%{?suse_version} > 1020
+#%dir %{_libdir}/%{name}
 %{_libdir}/%{name}/lib*.so.*
-%endif
 %{_datadir}/locale/*/*/*
 
 %files devel
@@ -107,8 +154,10 @@
 %{_mandir}/man3/*
 
 %changelog -n libextractor
-* Tue Sep 2 2008 - mstopka@opensuse.org
-- new upstream version
+* Sun Jan 25 2009 - novell@nethog.com
+- new version - 0.5.21
+* Sat Mar 29 2008 - gresco@gmail.com
+- updated to latest version 
 * Sun Dec 24 2006 - dmacvicar@suse.de
 - temporary package as it is disabled in factory
 
